<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
<table border="0" width="701" height="81" cellspacing="0" cellpadding="0">
  <tr>
    <td height="81">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<td width="136" height="81" rowspan="2"><img src="images/logo.gif" width="136" height="81" alt="" /></td>
				<td width="109" height="49" align="left" style="padding-left:27px;"><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
										    include(DIR_WS_BOXES . 'languages.php');} ?></td>
				<td width="286" height="49" align="left">
				<table border="0" width="110" cellpadding="0" cellspacing="0">
					<tr><td>
				<?php   if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
   										    include(DIR_WS_BOXES . 'currencies.php');
																					  } ?>
						</td>
					</tr>
				</table>		 
																					  </td>
				<td width="140" height="49" align="left"><?php require(DIR_WS_BOXES . 'shopping_cart.php'); ?></td>
				<td width="3"><img src="images/right_shop_cart.gif" width="3" height="49" alt="" /></td>		
									
			</tr>
			<tr>
				<td width="565" colspan="4" height="32"><?php require(DIR_WS_BOXES . 'menu.php'); ?></td>
			</tr>
		</table>
	</td>
  </tr>
</table>
<table border="0" width="701" cellspacing="0" cellpadding="0" height="171" style="margin-bottom:2px; ">
  <tr>
  	<td rowspan="2" width="136" height="171" valign="top">
		<table width="100%" height="169" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td width="136" height="8"><img src="images/top_search.gif" width="136" height="8" alt="" /></td>
			</tr>
			<tr>
				<td  height="159" background="images/search_bg.gif" valign="top">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td height="60">	<?php
				if ((USE_CACHE == 'true') && empty($SID)) {
    echo tep_cache_manufacturers_box();
  } else {
    include(DIR_WS_BOXES . 'manufacturers.php');
  }?>
  					</td>
					</tr>
					<tr>
						<td><?php  require(DIR_WS_BOXES . 'search.php'); ?></td>
					</tr>
				</table>	
				</td>
			</tr>
			<tr>
				<td width="136" height="2"><img src="images/bottom_search.gif" width="136" height="2" alt="" /></td>
			</tr>
		</table>
	</td>
	<td height="152"><img src="images/proposition.jpg" width="565" height="152" alt="" border="0" /></td>
  </tr>
  <tr>
  	<td height="19" width="565" valign="top">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="12" height="19"><img src="images/left_horiz_menu.gif" width="12" height="19" alt="" border="0" /></td>
				<td width="100%"><div style="border:1px solid #FFF; border-top-color:#C3F0FF; background-color:#DC0000; height:17px; font-size:12px;">
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px; margin-left:6px; " />Company</a>          
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_PARTNERS) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px;margin-left:6px; " />Partners</a>          
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px;margin-left:6px; " />Specials</a>          
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px;margin-left:6px; " />Advanced  Search</a>          
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px;margin-left:6px; " />Create an account</a>          
				<a class="horiz_menu" href="<?php echo tep_href_link(FILENAME_LOGIN) ?>"><img src="images/marker_menu.gif" width="3" height="3" alt="" border="0" style="margin-right:3px; margin-bottom:2px;margin-left:6px; " />Customer Login</a> 
				</div></td>
			</tr>
		</table>
	</td>
  </tr>
</table>
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
